Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 148)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 149)
@@ -533,7 +533,7 @@
                 }
 
                 // 入力完了タイトルセット（初期は入力中をデフォルト表示）
-                lblComplate.Text = ComplateString[(int)CommonDefine.ComplateTitleNo.Operateing];
+                lblComplate.Text = s_ComplateString[(int)CommonDefine.ComplateTitleNo.Operateing];
                 ToolTip comptip = new ToolTip();
                 // ----- ToolTipの設定を行う
                 // ToolTipが表示されるまでの時間
@@ -787,7 +787,7 @@
                 Color BeforeForeColor = lblComplate.ForeColor;
 
                 // 入力完了タイトルセット
-                lblComplate.Text = ComplateString[(int)CommonDefine.ComplateTitleNo.Complated];
+                lblComplate.Text = s_ComplateString[(int)CommonDefine.ComplateTitleNo.Complated];
                 lblComplate.BackColor = Color.Black;
                 lblComplate.ForeColor = Color.White;
 
@@ -920,7 +920,7 @@
                     // カラムの設定
                     m_GridPaymentColList[i].CellTemplate = new DataGridViewTextBoxCell();
                     m_GridPaymentColList[i].DefaultCellStyle = m_GridPaymentCellStyleList[i];
-                    m_GridPaymentColList[i].HeaderText = string.Format("{0}年{1}月", dtTitleDate.AddMonths(i).Year, dtTitleDate.AddMonths(i).Month);
+                    m_GridPaymentColList[i].HeaderText = string.Format(s_TargetYmFormt, dtTitleDate.AddMonths(i).Year, dtTitleDate.AddMonths(i).Month);
 
                     m_GridPaymentColList[i].Name = string.Format("ColPayment{0}", i);
                     m_GridPaymentColList[i].ReadOnly = false;
@@ -947,7 +947,7 @@
                     // カラムの設定
                     m_GridTotalColList[i].CellTemplate = new DataGridViewTextBoxCell();
                     m_GridTotalColList[i].DefaultCellStyle = m_GridTotalCellStyleList[i];
-                    m_GridTotalColList[i].HeaderText = ColumnsTitle[i];
+                    m_GridTotalColList[i].HeaderText = s_ColumnsTitle[i];
 
                     m_GridTotalColList[i].Name = string.Format("ColPayTotal{0}", i);
                     // 補填枠は入力可にする
@@ -2479,7 +2479,7 @@
                 foreach (ConstructionLedgerExcute ExcRec in ExcList)
                 {
                     //グリッドの対象列を取得する（データのカラム数から年月に変更する）
-                    string CurMounth = string.Format("{0}年{1}月", ExcRec.TargetMonth.Year, ExcRec.TargetMonth.Month);
+                    string CurMounth = string.Format(s_TargetYmFormt, ExcRec.TargetMonth.Year, ExcRec.TargetMonth.Month);
                     for (int ix = (int)GridColumn.Payment; ix < dgv.ColumnCount; ix++)
                     {
                         // グリッドの対象列を探す
@@ -2650,7 +2650,6 @@
         {
             IOConstructionLedger LedgerDB = new IOConstructionLedger();
             IOConstructionLedgerDetail DetailDB = new IOConstructionLedgerDetail();
-            IOConstructionLedgerExcute ExcuteDB = new IOConstructionLedgerExcute();
             IOProcessApproval ProAppDB = new IOProcessApproval();
             try
             {
@@ -2660,9 +2659,45 @@
                 if (!LedgerDB.SelectAction(strSQL, ref LedgerRec)) return false;
 
                 // 工事詳細台帳明細データを読み込む
-                strSQL += " ORDER BY GroupCount ASC, LineCount ASC";
-                List<ConstructionLedgerDetail> DetailList = new List<ConstructionLedgerDetail>();
-                if (!DetailDB.SelectAction(strSQL, ref DetailList)) return false;
+                strSQL = "SELECT";
+                strSQL += "  A.ConstructionCode";	        // 工事コード
+                strSQL += ", A.GroupCount";               // グループ番号
+                strSQL += ", A.LineCount";                // 行番号
+                strSQL += ", A.ComponentCode";            // 構成キー
+                strSQL += ", A.ItemCode";		            // 工種キー
+                strSQL += ", A.FirstString";              // 項目名称
+                strSQL += ", A.SecondString";             // 工事内容
+                strSQL += ", A.CompanyType";              // 協力会社コードタイプ
+                strSQL += ", A.CompanyCode";              // 協力会社コード
+                strSQL += ", A.CompanyName";              // 協力会社名称
+                strSQL += ", A.EstimatePrice";            // 予算（見積）金額
+                strSQL += ", A.ExecutionAmount";          // 実行金額
+                strSQL += ", A.AmountConfigRate";         // 金額構成率
+                strSQL += ", A.PaymentBurden";            // 支払補填額
+                strSQL += ", A.FixDataFlg";               // 固定データフラグ
+                strSQL += ", A.IndependentFlg";           // 独立データフラグ
+                strSQL += ", A.FluctuationFlg";           // 増減データフラグ
+                strSQL += ", A.SalaryFlg";                // 給与振分区分
+                strSQL += ", A.SalaryDays";               // 給与振分日数
+                strSQL += ", A.OperatingFlg";             // 担当中フラグ
+                strSQL += ", A.SourceCode";               // 元工事番号
+                strSQL += ", A.JoinTitleFlg";             // 工事名称タイトル
+                strSQL += ", A.SalaryOnRegist";           // 登録時月額給与
+                strSQL += ", A.PurchaseOrderFlg";         // 注文書発行フラグ
+                strSQL += ", DATE_FORMAT(A.EntryDate, '%Y/%m/%d %H:%i:%s')";
+                strSQL += ", DATE_FORMAT(A.UpdateDate, '%Y/%m/%d %H:%i:%s')";
+
+                strSQL += ", B.TARGETMONTH, B.PAYMENTAMOUNT";
+                strSQL += " FROM CONSTRUCTIONLEDGERDETAIL AS A";
+                strSQL += " LEFT JOIN CONSTRUCTIONLEDGEREXCUTE AS B";
+                strSQL += " ON B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                strSQL += " AND B.GROUPCOUNT = A.GROUPCOUNT";
+                strSQL += " AND B.LINECOUNT = A.LINECOUNT";
+                strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                strSQL += " ORDER BY A.GROUPCOUNT ASC, A.LINECOUNT ASC, B.COLUMNCOUNT ASC";
+
+                ArrayList DetailList = new ArrayList();
+                if (!DetailDB.ExecuteReader(strSQL, ref DetailList)) return false;
                 if (DetailList.Count == 0) return false;
 
                 // 工事予算書の承認を確認する
@@ -2685,9 +2720,15 @@
                 string strParentNo = string.Empty;
                 int childNo = 0;
                 int Block = 0;
+                int DetailCnt = Enum.GetNames(typeof(IOConstructionLedgerDetail.TableColumn)).Length;
+
                 ConstructionLedgerDetail SaveBillingData = new ConstructionLedgerDetail();
-                foreach (ConstructionLedgerDetail DetailRec in DetailList)
+                ConstructionLedgerDetail DetailRec = new ConstructionLedgerDetail();
+                for (int iy = 0; iy < DetailList.Count; iy++)
                 {
+                    object[] objCurRec = (object[])DetailList[iy];
+                    DetailDB.Reader2Struct(objCurRec, ref DetailRec);
+
                     // ------ 読み飛ばしデータ(2016/10/20　作成されていないかったデータ行を作成するようにした)
                     // 純利益は読み込まない
                     if (DetailRec.GroupCount == (int)DataGroup.NetIncome) continue;
@@ -2776,14 +2817,25 @@
 
                     // ----- 支払いデータをセットする
                     double TotalValue = 0;
-                    strSQL = ExcuteDB.CreatePrimarykeyString(m_ConstructionCode, DetailRec.GroupCount, DetailRec.LineCount);
-                    strSQL += " ORDER BY ColumnCount";
-                    List<ConstructionLedgerExcute> ExcuteList = new List<ConstructionLedgerExcute>();
-                    ExcuteDB.SelectAction(strSQL, ref ExcuteList);
-                    foreach (ConstructionLedgerExcute ExcuteRec in ExcuteList)
+                    for (int iz = iy; iz < DetailList.Count; iz++)
                     {
+                        object[] objExcuteRec = (object[])DetailList[iz];
+                        // グループか行番号が違えば次の台帳行へ
+                        if ((DetailRec.GroupCount != CommonMotions.cnvInt(objExcuteRec[(int)IOConstructionLedgerDetail.TableColumn.GroupCount]))
+                        || (DetailRec.LineCount != CommonMotions.cnvInt(objExcuteRec[(int)IOConstructionLedgerDetail.TableColumn.LineCount])))
+                        {
+                            iy = iz - 1;
+                            break;
+                        }
+
+                        DateTime ExcuteRec_TargetMonth = CommonMotions.cnvDate(objExcuteRec[DetailCnt]);
+                        double ExcuteRec_PaymentAmount = CommonMotions.cnvDouble(objExcuteRec[DetailCnt + 1]);
+                        
+                        // 年月が最小値はデータ無
+                        if (ExcuteRec_TargetMonth == DateTime.MinValue) break;
+
                         //グリッドの対象列を取得する（データのカラム数から年月に変更する）
-                        string CurMounth = string.Format("{0}年{1}月", ExcuteRec.TargetMonth.Year, ExcuteRec.TargetMonth.Month);
+                        string CurMounth = string.Format(s_TargetYmFormt, ExcuteRec_TargetMonth.Year, ExcuteRec_TargetMonth.Month);
                         for (int ix = (int)GridColumn.Payment; ix < dgv.ColumnCount; ix++)
                         {
                             // グリッドの対象列を探す
@@ -2790,8 +2842,8 @@
                             if (!CurMounth.Equals(dgv.Columns[ix].HeaderText)) continue;
 
                             // あればセットする
-                            RowData[ix] = ExcuteRec.PaymentAmount.ToString("#,0");
-                            TotalValue += ExcuteRec.PaymentAmount;
+                            RowData[ix] = ExcuteRec_PaymentAmount.ToString("#,0");
+                            TotalValue += ExcuteRec_PaymentAmount;
                             break;
                         }
                     }
@@ -2814,7 +2866,7 @@
                     // *----- いきなり工事詳細台帳が出来たものは、経費を再計算する -----*
                     // *----------------------------------------------------------------*
                     if (LedgerRec.ComplateFlg != (int)CommonDefine.ComplateTitleNo.Complated
-                        && NoneApp == true 
+                        && NoneApp == true
                         && DetailRec.GroupCount == (int)DataGroup.Expenses)
                     {
                         CalculateExpenss(DetailRec, ref RowData);
@@ -2922,7 +2974,6 @@
 
                 LedgerDB.close(); LedgerDB = null;
                 DetailDB.close(); DetailDB = null;
-                ExcuteDB.close(); ExcuteDB = null;
                 ProAppDB.close(); ProAppDB = null;
             }
         }
@@ -2940,7 +2991,7 @@
             try
             {
                 // 入力完了は処理しない
-                if (lblComplate.Text.Equals(ComplateString[(int)CommonDefine.ComplateTitleNo.Complated])) return true;
+                if (lblComplate.Text.Equals(s_ComplateString[(int)CommonDefine.ComplateTitleNo.Complated])) return true;
 
                 // 割合がセットされていなければ処理しない
                 if (DetailRec.AmountConfigRate == 0) return false;
@@ -2990,7 +3041,7 @@
                 // 現担当者以外は処理しない
                 if (DetailRec.OperatingFlg != (int)CommonDefine.SalaryOperateKind.Oparateing) return true;
                 // 入力完了は処理しない
-                if (lblComplate.Text.Equals(ComplateString[(int)CommonDefine.ComplateTitleNo.Complated])) return true;
+                if (lblComplate.Text.Equals(s_ComplateString[(int)CommonDefine.ComplateTitleNo.Complated])) return true;
                 // 担当者無ならば処理しない
                 if (DetailRec.CompanyCode == 0) return true;
 
@@ -4082,7 +4133,7 @@
                 }
 
                 // 入力完了フラグ
-                if (lblComplate.Text.Equals(ComplateString[(int)CommonDefine.ComplateTitleNo.Complated]))
+                if (lblComplate.Text.Equals(s_ComplateString[(int)CommonDefine.ComplateTitleNo.Complated]))
                 {
                     work.ComplateFlg = (int)CommonDefine.ComplateTitleNo.Complated;
                 }
@@ -6952,7 +7003,7 @@
                     foreach (ConstructionLedgerExcute ExcuteRec in ExcuteList)
                     {
                         //グリッドの対象列を取得する（データのカラム数から年月に変更する）
-                        string CurMounth = string.Format("{0}年{1}月", ExcuteRec.TargetMonth.Year, ExcuteRec.TargetMonth.Month);
+                        string CurMounth = string.Format(s_TargetYmFormt, ExcuteRec.TargetMonth.Year, ExcuteRec.TargetMonth.Month);
                         for (int ix = (int)GridColumn.Payment; ix < dgv.ColumnCount; ix++)
                         {
                             // グリッドの対象列を探す
@@ -7145,7 +7196,7 @@
                     foreach (ConstructionLedgerExcute ExcuteRec in ExcuteList)
                     {
                         //グリッドの対象列を取得する（データのカラム数から年月に変更する）
-                        string CurMounth = string.Format("{0}年{1}月", ExcuteRec.TargetMonth.Year, ExcuteRec.TargetMonth.Month);
+                        string CurMounth = string.Format(s_TargetYmFormt, ExcuteRec.TargetMonth.Year, ExcuteRec.TargetMonth.Month);
                         for (int ix = (int)GridColumn.Payment; ix < dgv.ColumnCount; ix++)
                         {
                             // グリッドの対象列を探す
@@ -7406,7 +7457,7 @@
                     foreach (ConstructionLedgerExcute ExcuteRec in ExcuteList)
                     {
                         //グリッドの対象列を取得する（データのカラム数から年月に変更する）
-                        string CurMounth = string.Format("{0}年{1}月", ExcuteRec.TargetMonth.Year, ExcuteRec.TargetMonth.Month);
+                        string CurMounth = string.Format(s_TargetYmFormt, ExcuteRec.TargetMonth.Year, ExcuteRec.TargetMonth.Month);
                         for (int ix = (int)GridColumn.Payment; ix < dgv.ColumnCount; ix++)
                         {
                             // グリッドの対象列を探す
@@ -7531,7 +7582,7 @@
                 foreach (ConstructionLedgerExcute ExcuteRec in ExcuteList)
                 {
                     //グリッドの対象列を取得する（データのカラム数から年月に変更する）
-                    string CurMounth = string.Format("{0}年{1}月", ExcuteRec.TargetMonth.Year, ExcuteRec.TargetMonth.Month);
+                    string CurMounth = string.Format(s_TargetYmFormt, ExcuteRec.TargetMonth.Year, ExcuteRec.TargetMonth.Month);
                     for (int ix = (int)GridColumn.Payment; ix < dgv.ColumnCount; ix++)
                     {
                         // グリッドの対象列を探す
